%head{prefix: "og: http://ogp.me/ns#"}
  %meta{charset: "utf-8"}
  %meta{'http-equiv' => 'X-UA-Compatible', content: 'IE=edge'}
  %meta{name: 'referrer', content: 'origin-when-cross-origin'}
  %meta{name: "description", content: page_description}

  -# Open Graph - http://ogp.me/
  %meta{property: 'og:type',        content: "object"}
  %meta{property: 'og:site_name',   content: "GitLab"}
  %meta{property: 'og:title',       content: page_title}
  %meta{property: 'og:description', content: page_description}
  %meta{property: 'og:image',       content: page_image}
  %meta{property: 'og:url',         content: request.base_url + request.fullpath}

  -# Twitter Card - https://dev.twitter.com/cards/types/summary
  %meta{property: 'twitter:card',         content: "summary"}
  %meta{property: 'twitter:title',        content: page_title}
  %meta{property: 'twitter:description',  content: page_description}
  %meta{property: 'twitter:image',        content: page_image}
  = page_card_meta_tags

  - page_title "GitLab"
  %title= page_title

  = favicon_link_tag 'favicon.ico'

  = stylesheet_link_tag "application", media: "all"
  = stylesheet_link_tag "print",       media: "print"

  = javascript_include_tag "application"

  = csrf_meta_tags

  = include_gon

  %meta{name: 'viewport', content: 'width=device-width, initial-scale=1, maximum-scale=1'}
  %meta{name: 'theme-color', content: '#474D57'}

  -# Apple Safari/iOS home screen icons
  = favicon_link_tag 'touch-icon-iphone.png',        rel: 'apple-touch-icon'
  = favicon_link_tag 'touch-icon-ipad.png',          rel: 'apple-touch-icon', sizes: '76x76'
  = favicon_link_tag 'touch-icon-iphone-retina.png', rel: 'apple-touch-icon', sizes: '120x120'
  = favicon_link_tag 'touch-icon-ipad-retina.png',   rel: 'apple-touch-icon', sizes: '152x152'

  -# Windows 8 pinned site tile
  %meta{name: 'msapplication-TileImage', content: image_path('msapplication-tile.png')}
  %meta{name: 'msapplication-TileColor', content: '#30353E'}

  = yield :meta_tags

  = render 'layouts/google_analytics' if extra_config.has_key?('google_analytics_id')
  = render 'layouts/piwik' if extra_config.has_key?('piwik_url') && extra_config.has_key?('piwik_site_id')
  = render 'layouts/bootlint' if Rails.env.development?

  = render 'layouts/user_styles'
